import { createClient, RedisClientOptions } from 'redis';
import { DBConnection } from '@shopify/shopify-app-session-storage';
type RedisClient = ReturnType<typeof createClient>;
export declare class RedisConnection implements DBConnection {
    sessionStorageIdentifier: string;
    private client;
    constructor(urlOrClient: string | URL | RedisClient, options: RedisClientOptions, keyPrefix: string);
    query(_query: string, _params: any[]): Promise<any[]>;
    connect(): Promise<void>;
    disconnect(): Promise<void>;
    keys(name: string): Promise<any>;
    set(baseKey: string, value: any, addKeyPrefix?: boolean): Promise<void>;
    del(baseKey: string, addKeyPrefix?: boolean): Promise<any>;
    get(baseKey: string, addKeyPrefix?: boolean): Promise<any>;
    generateFullKey(name: string): string;
    private buildKey;
    private init;
    private eventHandler;
}
export {};
//# sourceMappingURL=redis-connection.d.ts.map